All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.filterandrank.html
Class FilterAndRankSelector

    com.sas.servlet.tbeans.dataselectors.filterandrank.html.FilterAndRankSelector

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, DataSelectorInterface, HttpDataSelectorInterface, com.sas.dataselectors.SelectorCloseInterface, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, SelectorContainerStyleKeysInterface, SelectorContainerKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class FilterAndRankSelector

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer
`DEFAULT_TEMPLATE_FILE_NAME`

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`EXTERNAL_CHILD_SELECTOR, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.html.SelectorContainerStyleKeysInterface
`SELECTOR_BUTTON_CONTAINER, SELECTOR_BUTTON_TABLE, SELECTOR_CONTAINER, SELECTOR_CONTAINER_CANCEL_BUTTON, SELECTOR_CONTAINER_HELP_BUTTON, SELECTOR_CONTAINER_OK_BUTTON`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.SelectorContainerKeysInterface
`SELECTORCONTAINER_BUTTON_ROW_ID, SELECTORCONTAINER_CANCEL_BUTTON, SELECTORCONTAINER_HELP_BUTTON, SELECTORCONTAINER_OK_BUTTON, SELECTORCONTAINER_PANEL`

Constructor Summary
`FilterAndRankSelector()`
`FilterAndRankSelector(java.lang.String id)`

Method Summary
`void` | `write(java.io.PrintWriter out)` Writes the selector

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer
`close, getSelectorModel, setSelectorButtonIds, setSelectorModel, writeRemoteScriptCommands, writeRemoteScriptFrame`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.DataSelector
`getAdditionalParameters, getDefaultFormObject, getFormObject, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`getActionProvider, getClosingFunctionName, getCommandId, getDefaultButtonAction, getReferringURI, getSelectorId, getSelectorType, isButtonsVisible, setActionProvider, setButtonsVisible, setClosingFunctionName, setCommandId, setDefaultButtonAction, setReferringURI, setSelectorId, setSelectorType`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.dataselectors.DataSelectorInterface
`isVisible, setVisible`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Constructor Detail

### FilterAndRankSelector

    public FilterAndRankSelector()

### FilterAndRankSelector

    public FilterAndRankSelector(java.lang.String id)

Parameters:
  `id` - The id of this selector.

Method Detail

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Description copied from class: `AbstractSelectorContainer`
  Writes the selector

  Specified by:
    `write` in interface `HttpDataSelectorInterface`
  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `AbstractSelectorContainer`
  Parameters:
    `out` - - the output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.